"""
Contains abstract class for a distro
"""

from abc import ABC
import requests
from shared import CSC_MIRROR

class Distro(ABC):
    """Abstract class for a distro"""
    @staticmethod
    def check(data, distro):
        """Check if distro packages are up-to-date"""
        csc_url = CSC_MIRROR + data[distro]["csc"] + data[distro]["file"]
        upstream_url = data[distro]["upstream"] + data[distro]["file"]
        return requests.get(csc_url).text == requests.get(upstream_url).text
